function::proc_mem_shr
Prev | Chapter 6. Memory Tapset | Next

## Name

function::proc_mem_shr — Program shared pages (from shared mappings)

## Synopsis

    1) proc_mem_shr:long()

    2) proc_mem_shr:long(pid:long)

## Arguments

`pid`

  The pid of process to examine

## Description

1) Returns the shared pages (from shared mappings) of the current process, or zero when there is no current process or the number of pages couldn't be retrieved.

2) Returns the shared pages (from shared mappings) of the given process, or zero when the process doesn't exist or the number of pages couldn't be retrieved.

Prev | Up | Next
function::proc_mem_rss | Home | function::proc_mem_size